Remove Text
curl --request POST \
--url https://api.novita.ai/v3/remove-text \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"extra": {
"response_image_type": "<string>",
"enterprise_plan": {
"enabled": true
}
},
"image_file": "<string>"
}
'import requests
url = "https://api.novita.ai/v3/remove-text"
payload = {
"extra": {
"response_image_type": "<string>",
"enterprise_plan": { "enabled": True }
},
"image_file": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
extra: {response_image_type: '<string>', enterprise_plan: {enabled: true}},
image_file: '<string>'
})
};
fetch('https://api.novita.ai/v3/remove-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image_file": "<string>",
"image_type": "<string>"
}Image Editor
Remove Text
POST
/
v3
/
remove-text
Remove Text
POST https://api.novita.ai/v3/remove-text
Automatically remove text from images.
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Optional extra parameters for the request.
Show properties
Show properties
The returned image type. Default is png.
Enum:
Enum:
png, webp, jpegDedicated Endpoints settings, which only take effect for users who have already subscribed to the Dedicated Endpoints Documentation.
Show properties
Show properties
Set to true to schedule this task to use your Dedicated Endpoints’s dedicated resources. Default is false.
The base64 original image, with a maximum resolution of 1024 x 1024 pixels and a maximum file size of 30 Mb.
Response
The Base64-encoded content of the returned image.
The returned image type.
Enum:
Enum:
png, webp, jpegExample
This API automatically removes text from images. Try it in playground.Request:
curl --location --request POST 'https://api.novita.ai/v3/remove-text' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_file": "{{Base64 encoded image}}"
}'
image_file field of the response in base64 format.
Response:
{
"image_file": "{{Base64 encoded image}}",
"image_type": "jpeg"
}


Last modified on February 19, 2025
Was this page helpful?
⌘I